## Preview Controls Preview Controls — Font preview controls |

## Functions

GtkWidget * | font_manager_preview_controls_new ()

## Properties

gchar * | description | Read / Write
GtkJustification | justification | Read / Write
gboolean | undo-available | Read / Write

## Signals

void | edit-toggled | Run First
void | undo-clicked | Run First

## Types and Values

#define | FONT_MANAGER_TYPE_PREVIEW_CONTROLS
| FontManagerPreviewControls

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── FontManagerPreviewControls

## Implemented Interfaces

FontManagerPreviewControls implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <font-manager-preview-controls.h>

## Description

Widget which provides controls for setting preview text justification, resetting the preview back to its default state and displays a description of the current font.

## Functions

### font_manager_preview_controls_new ()

    GtkWidget *
    font_manager_preview_controls_new (void);

#### Returns

A newly created FontManagerPreviewControls. Free the returned object using ``g_object_unref()``.

[transfer full]

## Types and Values

### FONT_MANAGER_TYPE_PREVIEW_CONTROLS

    #define FONT_MANAGER_TYPE_PREVIEW_CONTROLS (font_manager_preview_controls_get_type())

### FontManagerPreviewControls

    typedef struct _FontManagerPreviewControls FontManagerPreviewControls;

## Property Details

### The `“description”` property

      “description”              gchar *

PangoFontDescription for currently displayed font.

Owner: FontManagerPreviewControls

Flags: Read / Write

Default value: NULL

### The `“justification”` property

      “justification”            GtkJustification

Preview text justification.

Owner: FontManagerPreviewControls

Flags: Read / Write

Default value: GTK_JUSTIFY_CENTER

### The `“undo-available”` property

      “undo-available”           gboolean

Whether the undo button should be available or not.

Owner: FontManagerPreviewControls

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“edit-toggled”` signal

    void
    user_function (FontManagerPreviewControls *fontmanagerpreviewcontrols,
                   gboolean                    arg1,
                   gpointer                    user_data)

Flags: Run First

### The `“undo-clicked”` signal

    void
    user_function (FontManagerPreviewControls *fontmanagerpreviewcontrols,
                   gpointer                    user_data)

Flags: Run First